summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--development/glm/README9
-rw-r--r--development/glm/glm.SlackBuild49
-rw-r--r--development/glm/glm.info10
-rw-r--r--development/glm/slack-desc19
4 files changed, 87 insertions, 0 deletions
diff --git a/development/glm/README b/development/glm/README
new file mode 100644
index 0000000000..31a795555f
--- /dev/null
+++ b/development/glm/README
@@ -0,0 +1,9 @@
+glm (OpenGL Mathematics)
+
+OpenGL Mathematics (GLM) is a header only C++ mathematics library for
+graphics software based on the OpenGL Shading Language (GLSL)
+specification.
+GLM provides classes and functions designed and implemented with the
+same naming conventions and functionalities than GLSL so that when a
+programmer knows GLSL, he knows GLM as well which makes it really easy
+to use.
diff --git a/development/glm/glm.SlackBuild b/development/glm/glm.SlackBuild
new file mode 100644
index 0000000000..edba94580d
--- /dev/null
+++ b/development/glm/glm.SlackBuild
@@ -0,0 +1,49 @@
+#!/bin/sh
+
+# Slackware build script for glm
+# Written by ponce <matteo.bernardini@gmail.com>
+
+PRGNAM=glm
+VERSION=${VERSION:-0.9.3.4}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+unzip $CWD/$PRGNAM-$VERSION.zip
+cd $PRGNAM-$VERSION
+chown -R root.root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DGLM_TEST_ENABLE:STRING="ON" ..
+ make
+ make install DESTDIR=$PKG
+cd ..
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a readme.txt copying.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/glm/glm.info b/development/glm/glm.info
new file mode 100644
index 0000000000..4b0d971cd4
--- /dev/null
+++ b/development/glm/glm.info
@@ -0,0 +1,10 @@
+PRGNAM="glm"
+VERSION="0.9.3.4"
+HOMEPAGE="http://glm.g-truc.net/"
+DOWNLOAD="http://downloads.sourceforge.net/ogl-math/glm-0.9.3.4.zip"
+MD5SUM="a0cea0871bd39f2d628c12f1181faffb"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="ponce"
+EMAIL="matteo.bernardini@gmail.com"
diff --git a/development/glm/slack-desc b/development/glm/slack-desc
new file mode 100644
index 0000000000..cf6a8896b5
--- /dev/null
+++ b/development/glm/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+glm: glm (OpenGL Mathematics)
+glm:
+glm: OpenGL Mathematics (GLM) is a header only C++ mathematics library for
+glm: graphics software based on the OpenGL Shading Language (GLSL)
+glm: specification.
+glm: GLM provides classes and functions designed and implemented with the
+glm: same naming conventions and functionalities than GLSL so that when a
+glm: programmer knows GLSL, he knows GLM as well which makes it really easy
+glm: to use.
+glm:
+glm: homepage: http://glm.g-truc.net/